Skills

Remove an integration binding

DELETE
/skill-bindings/{binding_id}

Revoke one of your personal Skill integration bindings.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

binding_id*string

Resource identifier: binding_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://example.com/skill-bindings/123e4567-e89b-42d3-a456-426614174000" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000"
{  "id": "123e4567-e89b-42d3-a456-426614174000",  "skill_id": "123e4567-e89b-42d3-a456-426614174000",  "space_id": "123e4567-e89b-42d3-a456-426614174000",  "requirement_key": "example",  "provider_key": "klaviyo",  "grant_id": "123e4567-e89b-42d3-a456-426614174000",  "connection_id": "123e4567-e89b-42d3-a456-426614174000",  "connection_label": "example",  "allowed_operations": [],  "active": false}